<?php
	require "vendor/autoload.php";
	include_once("config.inc.php");
	include_once("init.php");
	
//	$task = $_POST["task"];
//	$action = $_POST["action"];


	//$id = new identity($openstack_api, $pluginApi);

//	var_dump($id->genToken());
//	$identity = $openstack_api->identityV3($Args);
	//$tmp = $identity->listEndpoints();
	//foreach($tmp as $cred){
//		echo $cred->id." %%%%%% ";
	//}
	//$servers = $compute->listServers(true);
	//var_dump($servers);
	//foreach($servers as $server){
	//	echo $server->id." !!!!!!!!! ";
	//}

	$tmp = new genTokenOptions($Args);
	$tmp->loadIdentityBackup($identityBack);
	$array = $tmp->getOptions("Identity");

	$openstackTest = new OpenStack\OpenStack([]);
	$identityTest = $openstackTest->identityV3($array);
	$domainsTest = $identityTest->listDomains();
	foreach($domainsTest as $domain){
		echo $domain->id." %%%%%% ";
	}
	//	var_dump($openstack_api->getBuilderOptions());	
	
